# ISPCONFIG Module

## Application informations 
 This application is an Add-ons for ISPConfig used for VPS Management (Proxmox)

## Requirements
- ISPConfig 3.1
- Mysql database (same as ISPconfig)
- Proxmox Virtual Environement
- Firewall permission

## Features 
- Manage your VPS :
 - Start
 - Shutdown
 - Reset
 - Hard Stop (unplug the power)

- Display :
 - Power status
 - Uptime
 - Load average
 - Installed Memory
 - Commsumed Memory
 - Installed CPU
 - Disk Space (total)
 - Graphics (Memory, CPU, Networks, DIsk IO)

- Admin display :
 - Per client assignation


## Screenshots

![Alt text](/misc/admin_vue_1.png?raw=true "Vue 1")

## ToDo
- Admin function : 
 - Snapshot (add / remove)
 - Networks : Enable / Disable, Vlan, rate limit

- Display: 
 - Event log
 - Vps consol integration

## How To implement this module
- Create Proxmox user for ISPConfig communication with PVEVMUser right
 - Assign VMs to this user
- Deploy the module into your ISPConfig setup -> /usr/local/ispconfig/interface/web
- Configure the module with your Proxmox user -> /usr/local/ispconfig/interface/lib/config.inc.local.php
 - $conf["pve_username"] 	= 'username';
 - $conf["pve_password"] 	= 'password';
 - $conf["pve_link"] 		= 'hostname / ip of your cluster head';
 - $conf["pve_realm"] 		= 'realm';
- Create MySQL table for this module -> misc/vm_proxmox.sql



# License
Copyright (c) 2016, Oricom Internet
All rights reserved.
